cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillments({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillments({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillments(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentList> response = client.itemFulfillments().getItemFulfillments(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentsAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillments(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillments(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<string>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": 123,
"serving_status": "<string>",
"uom": "<string>",
"uom_precision": 123
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Item fulfillments
List item fulfillments
Returns a page of item fulfillments.
GET
/
item_fulfillments
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillments({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillments({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillments(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentList> response = client.itemFulfillments().getItemFulfillments(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentsAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillments(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillments(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<string>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": 123,
"serving_status": "<string>",
"uom": "<string>",
"uom_precision": 123
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Returns fulfillments under
data, each with its account, invoice, fulfillment_status, tracking_number and fulfillments lines. Set the page size with limit and fetch the next page with cursor. Filter with filter_<field>, or filter_<field>_<operator> for other comparisons.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Query Parameters
How many records to return on one page.
Example:
20
The next_cursor from the previous page, to fetch the page after it.
The field to sort by. Prefix it with - to sort descending, as in -created_on.
Example:
"-created_on"